Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentTypeGroupRefList Class Reference

ContentTypeGroupRefList value object visitor. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentTypeGroupRefList:

## Public Member Functions
| visit (Visitor $visitor, Generator $generator, $data)
| Visit struct returned by controllers. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| setRouter (RouterInterface $router)
| setTemplateRouter (RouterInterface $templateRouter)
| setRequestParser (RequestParser $requestParser)

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| serializeBool (Generator $generator, $boolValue)
| Returns a string representation for the given $boolValue. More...
| visitNamesList (Generator $generator, array $names)
| Visits the given list of $names. More...
| visitDescriptionsList (Generator $generator, array $descriptions)
| Visits the given list of $descriptions. More...
| visitTranslatedList (Generator $generator, array $translatedElements, $listName)
| Visits a list of translated elements. More...
| visitLimitation (Generator $generator, Limitation $limitation)
| Visits a limitation. More...
| serializeSortField ($sortField)
| Serializes the given $sortField to a string representation. More...
| serializeSortOrder ($sortOrder)
| Serializes the given $sortOrder to a string representation. More...
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| $requestParser
| $router
| $templateRouter

## Detailed Description

ContentTypeGroupRefList value object visitor.

Definition at line 16 of file Server/Output/ValueObjectVisitor/ContentTypeGroupRefList.php.

## Member Function Documentation

## ◆ visit()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\ContentTypeGroupRefList::visit | ( | Visitor | $visitor,
|  | Generator | $generator,
|  |  | $data
| ) |  |

Visit struct returned by controllers.

Parameters

  \eZ\Publish\Core\REST\Common\Output\Visitor | $visitor |
  \eZ\Publish\Core\REST\Common\Output\Generator | $generator |
  \eZ\Publish\Core\REST\Server\Values\ContentTypeGroupRefList | $data |

Reimplemented from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor.

Definition at line 25 of file Server/Output/ValueObjectVisitor/ContentTypeGroupRefList.php.

References eZ\Publish\Core\REST\Common\Output\Visitor\setHeader().

The documentation for this class was generated from the following file:

- Server/Output/ValueObjectVisitor/ContentTypeGroupRefList.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.